#version 330 core

precision highp float;

in vec2 uv;

out vec4 color;

uniform vec4 u_color;
uniform sampler2D textureSampler;

void main() {
	float a = texture(textureSampler, uv).r;
	vec4 multiplier = vec4(u_color.rgb * u_color.a, u_color.a);
	color = vec4(a, a, a, a) * multiplier;
}